%define major     2
%define libname   %mklibname nss_nis %{major}
%define develname %mklibname nss_nis -d

Name:           nss_nis
Version:        3.2
Release:        %mkrel 4
Summary:        Name Service Switch (NSS) module using NIS
Group:          System/Libraries
License:        LGPLv2+
Url:            https://github.com/thkukuk/libnss_nis
Source:         https://github.com/thkukuk/libnss_nis/releases/download/v%{version}/libnss_nis-%{version}.tar.xz
# https://github.com/systemd/systemd/issues/7074
# https://bugzilla.redhat.com/show_bug.cgi?id=1829572
Source2:        nss_nis.conf

BuildRequires:  make
BuildRequires:  libnsl-devel
BuildRequires:  libtirpc-devel
BuildRequires:  autoconf, automake, libtool
BuildRequires:  systemd

Requires:       %{libname} = %{version}-%{release}

%description
The nss_nis Name Service Switch module uses the Network Information System (NIS)
to obtain user, group, host name, and other data.

%package -n %{libname}
Summary:        Name Service Switch (NSS) module using NIS
Group:          System/Libraries
Provides:       nss_nis = %{version}-%{release}

%description -n %{libname}
The nss_nis Name Service Switch module uses the Network Information System (NIS)
to obtain user, group, host name, and other data.

%prep
%setup -q -n libnss_nis-%{version}

%build
%configure --libdir=%{_libdir} --includedir=%{_includedir}
%make_build

%install
%make_install

rm  %{buildroot}/%{_libdir}/libnss_nis.{a,la}
rm  %{buildroot}/%{_libdir}/libnss_nis.so

install -D -m 644 %{SOURCE2} %{buildroot}/%{_unitdir}/systemd-logind.service.d/nss_nis.conf
install -D -m 644 %{SOURCE2} %{buildroot}/%{_unitdir}/systemd-userdbd.service.d/nss_nis.conf

%check
make check

%files -n %{libname}
%license COPYING
%{_unitdir}/systemd-logind.service.d/*
%{_unitdir}/systemd-userdbd.service.d/*
%{_libdir}/libnss_nis.so.%{major}
%{_libdir}/libnss_nis.so.%{major}.0.0


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.2-4.mga10
+ Revision: 2223396
- Mageia 10 Mass Rebuild

* Sat Apr 06 2024 wally <wally> 3.2-2.mga10
+ Revision: 2055253
- rebuild for libnsl 2.0.1

* Tue Mar 05 2024 daviddavid <daviddavid> 3.2-1.mga10
+ Revision: 2047629
- new version: 3.2

* Thu Mar 24 2022 umeabot <umeabot> 3.1-2.mga9
+ Revision: 1824443
- Mageia 9 Mass Rebuild

* Mon Apr 12 2021 tmb <tmb> 3.1-1.mga9
+ Revision: 1715088
- adjust for mageia
- import from fedora


* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 21 2020 Filip Januš <fjanus@redhat.com> - 3.1-8
- recommandation of 32 bit-version doesn't work properly
- remove recommandation of 32 bit-version

* Tue Sep 22 2020 Filip Januš <fjanus@redhat.com> - 3.1-7
- improve recommandation of 32 bit-version
- resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1803161

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 10 2020 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1-5
- Make sure that systemd-userdbd.service can access the network too (#1829572)

* Wed Mar 25 2020 Filip Januš <fjanus@redhat.com> - 3.1-4
- addiing: recommending to install 32 bit-version if 32 bit glibc is installed
- resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1803161

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Aug 14 2019 Matej Mužila <mmuzila@redhat.com> - 3.1-1
- Update to version 3.1
- Resolves: #1736327

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov 9 2018 Matej Mužila <mmuzila@redhat.com> 3.0-8
- Add systemd-logind snippet (RestrictAddressFamilies)
- Resolves: #1645308

* Wed Aug 1 2018 Matej Mužila <mmuzila@redhat.com> - 3.0-7
- BuildRequire systemd

* Wed Aug 1 2018 Matej Mužila <mmuzila@redhat.com> - 3.0-6
- Add systemd-logind snippet (IPAddressAllow=any)
- Resolves: #1574959

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 Matej Mužila <mmuzila@redthat.com> - 3.0-3
- Inital release
